<?php
echo 'Hello world';

// $aa=deco_vinn('8LBETF3TXJ0366474');
// var_dump2($aa);

// // $aa=deco_vinn('3N1AB7APXHY123456');
// // var_dump2($aa);

die();
?>


<?php

function buscarCadenaEnArchivos($directorio, $cadena) {
    $iterator = new RecursiveIteratorIterator(
        new RecursiveDirectoryIterator($directorio)
    );

    foreach ($iterator as $archivo) {
        if ($archivo->isFile() && pathinfo($archivo, PATHINFO_EXTENSION) === 'php') {
            $contenido = file_get_contents($archivo->getPathname());
            if (strpos($contenido, $cadena) !== false) {
                 echo '<br>';
                echo "Encontrado en: " . $archivo->getPathname() . PHP_EOL;
            }
        }
    }
}

// Usar el directorio actual y la cadena a buscar
$directorio = __DIR__;
$cadena = 'user_caduca=';

buscarCadenaEnArchivos($directorio, $cadena);

return;
?>


<?
include_once('lib_main.php');

echo 'Hello World LIB';


// upl_cexml('0605202501092155255000120011070000000468813351113');

// $aa=get_vinn('MZBGB814APN070211');
$aa=deco_vinn('MZBGB814APN070211');

var_dump2($aa);

return;


$sql_db10="select * from (
select  idnum1,docu,numero,fecha,enti,cant,mdfrom,idfrom,total
,sum(cant) as cantidad from (
SELECT 
    *, ABS(cant) AS total
FROM
    cont1
        LEFT JOIN
    cont2 ON idnum1 = idnum2
WHERE
    IFNULL(status, '') NOT IN ('O' , 'X')
        AND fecha LIKE '2024%'
        AND ctas LIKE '1010104%'
        AND fecha >= '2024-05-01'
        AND ABS(cant) < 3000
ORDER BY ABS(cant) DESC , cant , fecha , docu
) as db10
group by total
order by total desc) as db2
where cantidad!=0";
$res_db10=msql_query($sql_db10,$link_data);

while($aso_db10=msql_fetch_assoc($res_db10))
{
     if($aso_db10['docu']=='DB10')
     {
          $url='https://imcp.vcrxol.com/?scri=info_docu3&prnt=1&cont=3&docu='.$aso_db10['docu'].'&idnum='.$aso_db10['idnum1'];
          echo '<br>';
          echo'===>'.$url;
          file_get_contents($url);
          file_get_contents($url);
     }
}
     
     
     return;
     






$fecha1='2024-01-01';
$fecha2=date('Y-m-d');
$docu='CC19';

$docu0=data_maes('docu',$docu);

$tabla=$docu0['docu_tabla'];
$tabla1=$tabla.'1';

$sql_data='select * from '.$tabla1.' ';
$sql_data.='where docu="'.$docu.'" ';
$sql_data.='and fecha>="'.$fecha1.'" and fecha<="'.$fecha2.'" ';
$sql_data.='order by fecha,idnum1';
$res_data=msql_query($sql_data,$link_data);

while($aso_data=msql_fetch_assoc($res_data))
{
     echo '<br>==> '.$aso_data['fecha'].' - '.$aso_data['docu'].' - '.$aso_data['numero'];
//      gen_contab($aso_data['docu'],$aso_data['idnum1']);
     
     
     
}


//      if($aso_data['docu']=='CC19')
     {
//           $sql_updt='update dxco1,vtas1 set dxco1.status=vtas1.status where vtas1.idnum1=dxco1=idfrom and docu="CC19" ';
//           $res_updt=msql_query()
     }


// vali modu
// update dxco1,vtas1 set dxco1.status=vtas1.status
//  where vtas1.idnum1=dxco1.idfrom
//  and dxco1.mdfrom="vtas"
//  and dxco1.docu="CC19" 
//  and dxco1.fecha>="2024-01-01"


return;
?>



<?php

echo 'Hello World';



$directory = __DIR__; // Carpeta actual
$searchTerm = "info.php"; // Texto a buscar
$searchTerm2 = "file_put_contents"; // Texto a buscar


searchInFiles($directory, $searchTerm, $searchTerm2);

return;


foreach($_GET  as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}  
foreach($_POST as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}
include_once('lib_main.php');

$sql_p120='select * from pk120 order by pk12_codigo desc';
$res_p120=msql_query($sql_p120,$link_data);

$p12_file=msql_result($res_p120,0,'pk12_file');
$p12_pass=msql_result($res_p120,0,'pk12_pass');


$p12_cont=file_get_contents('../.pk12/'.$p12_file);
echo '<br>F '.$p12_file;
echo '<br>P '.$p12_pass;
echo '<br>C '.$p12_cont;

// $p12_info=open_p12($p12_cont,$p12_pass);


?>


<?php
function searchInFiles($directory, $searchTerm,  $searchTerm2='') {
    $files = new RecursiveIteratorIterator(new RecursiveDirectoryIterator($directory));
echo '======';    
    foreach ($files as $file) {
        if ($file->getExtension() === 'php') {
            $content = file_get_contents($file->getPathname());
//             if (strpos($content, $searchTerm) !== false ) {
            if (strpos($content, $searchTerm) !== false and strpos($content, $searchTerm2) !== false) {
                echo "<br>Encontrado en: " . $file->getPathname() . "\n";
            }
        }
    }
}

// Definir directorio y término de búsqueda
// $directory = __DIR__; // Carpeta actual
// $searchTerm = "mi_funcion"; // Texto a buscar

// searchInFiles($directory, $searchTerm);
?>

